# Functor Comparable.Check_sexp_conversion

    module Check_sexp_conversion: functor (M : sig
    type t

    include Comparable.S

    val examples : t list
    val sexp_of_t : t -> Sexplib.Sexp.tend) -> sig .. end

`Check_sexp_conversion` checks that conversion of a map or set to a sexp uses the same sexp conversion as the underlying element.

Parameters:

`M` | : | `sig type t with sexp_of include S with type t := t val examples : t list end`